# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define base_name  logging
%global short_name commons-%{base_name}
%global eap6_name %{short_name}-eap6

%define section    free

%define reltag _redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}

%define maven_version 1.1.1-6.9_redhat_1.ep6.el6

Name:           apache-commons-logging-eap6
Version:        1.1.1
Release:        6.9%{?reltag}%{?dist}
Epoch:          0
Summary:        Apache Commons Logging
License:        ASL 2.0
Group:          Development/Libraries/Java

%if %with mead
Source102: commons-logging-tomcat-juli-adapters-1.1.1-redhat-1.pom
Source103: commons-logging-tomcat-juli-adapters-1.1.1-redhat-1.jar
Source104: commons-logging-tomcat-juli-1.1.1-redhat-1.pom
Source105: commons-logging-tomcat-juli-1.1.1-redhat-1.jar
Source106: commons-logging-repolib-1.1.1-redhat-1.pom
Source107: commons-logging-repolib-1.1.1-redhat-1-sources.zip
Source108: commons-logging-repolib-1.1.1-redhat-1-patches.zip
Source109: commons-logging-1.1.1-redhat-1.pom
Source110: commons-logging-1.1.1-redhat-1.jar
Source111: commons-logging-1.1.1-redhat-1-tests.jar
Source112: commons-logging-1.1.1-redhat-1-api.jar
Source113: commons-logging-1.1.1-redhat-1-adapters.jar
%endif

URL:            http://commons.apache.org/logging/

BuildRequires:  jpackage-utils

Requires:       java >= 0:1.6.0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The commons-logging package provides a simple, component oriented
interface (org.apache.commons.logging.Log) together with wrappers for
logging systems. The user can choose at runtime which system they want
to use. In addition, a small number of basic implementations are
provided to allow users to use the package standalone.
commons-logging was heavily influenced by Avalon's Logkit and Log4J. The
commons-logging abstraction is meant to minimixe the differences between
the two, and to allow a developer to not tie himself to a particular
logging implementation.
This package is for EAP6 use only -- see regular commons-logging package.

%package -n apache-commons-logging-tomcat-eap6
Summary:        Commons Logging dependency for Tomcat 6 and 7
Group:          Development/Libraries/Java


%description -n apache-commons-logging-tomcat-eap6
Commons Logging dependency for Tomcat 6 and 7.

%prep

%build

%install
rm -rf %{buildroot}

##DEBUG
ls -l %{_sourcedir}

# jars
mkdir -p %{buildroot}%{_javadir}/%{eap6_name}
cp -p %{_sourcedir}/%{short_name}-%{namedversion}.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-%{namedversion}.jar

#tomcat jars
cp -p %{_sourcedir}/%{short_name}-tomcat-juli-%{namedversion}.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-tomcat-juli-%{namedversion}.jar
cp -p %{_sourcedir}/%{short_name}-tomcat-juli-adapters-%{namedversion}.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-tomcat-juli-adapters-%{namedversion}.jar

ln -s %{short_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}.jar
ln -s %{short_name}-tomcat-juli-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-tomcat-juli.jar
ln -s %{short_name}-tomcat-juli-adapters-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-tomcat-juli-adapters.jar

#Add links for tomcat jars without short_name
ln -s %{short_name}-tomcat-juli-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/tomcat-juli-%{namedversion}.jar 
ln -s tomcat-juli-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/tomcat-juli.jar 
ln -s %{short_name}-tomcat-juli-adapters-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/tomcat-juli-adapters-%{namedversion}.jar 
ln -s tomcat-juli-adapters-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/tomcat-juli-adapters.jar 

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{eap6_name}/%{short_name}-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}.jar

%files -n apache-commons-logging-tomcat-eap6
%defattr(0644,root,root,0755)
%{_javadir}*/%{eap6_name}/%{short_name}-tomcat-juli-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}-tomcat-juli.jar
%{_javadir}*/%{eap6_name}/%{short_name}-tomcat-juli-adapters-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}-tomcat-juli-adapters.jar
%{_javadir}*/%{eap6_name}/tomcat-juli-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/tomcat-juli.jar
%{_javadir}*/%{eap6_name}/tomcat-juli-adapters-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/tomcat-juli-adapters.jar

%changelog
* Mon Jun 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.1.1-6.9
- Add sources to srpm

* Mon Jun 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.1.1-6.8
- Add link for tomcat jars without short_name

* Fri Jun 01 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.1.1-6.7
- Include correct jars in -tomcat subpackage

* Tue May 29 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.1.1-6.6
- Fix reltag

* Tue May 29 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.1.1-6.6
- Rename subpackage

* Tue May 29 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.1.1-6.5
- EAP6/EWS2 Wrapper of apache-commons-logging
